#ifndef __URL_MENU_ITEM_H__
#define __URL_MENU_ITEM_H__

class URL_MenuItem: public BMenuItem
{
	public:
		URL_MenuItem(const char * a_label, BMessage * a_message = NULL, char a_shortcut = NULL,
						uint32 a_modifiers = NULL, entry_ref * a_ref = NULL);

		virtual ~URL_MenuItem();
		
	//	virtual void GetContentSize(float *width, float *height);

	protected:
		BBitmap	*	m_icon_bitmap;
		
		virtual	void DrawContent();
		virtual void Highlight(bool a_isHi);
		void MakeBitmap(const char *a_bytes, size_t a_len);
};

#endif
